## bzflag-1.7g0.tgz

=== Makefile ===
# bzflag
# Copyright (c) 1993 - 2002 Tim Riker
#
# This package is free software;  you can redistribute it and/or
# modify it under the terms of the license found in the file
# named LICENSE that should have accompanied this file.
#
# THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.

#
# top level makefile that simply ensures that there's a configuration chosen
#

DEPTH = .

default targets clean clobber pristine man tarball: config-sys _force
	$(MAKE) -f Make-sys $@

all: targets man

package: all
	$(MAKE) -f Make-sys $@

_force:

AVAILTARGETS =		\
	irix-mips2	\
	irix-mips3	\
	linux		\
	linux-i386	\
	linux-ppc	\
	solaris-cc	\
	solaris-gcc	\
	macosx		\
	$(NULL)

config-sys:
	@echo "No configuration.  Use one of the following:"
	@echo "  make irix-mips2"
	@echo "  make irix-mips3"
	@echo "  make linux"
	@echo "  make linux-i386"
	@echo "  make linux-ppc"
	@echo "  make solaris-cc"
	@echo "  make solaris-gcc"
	@echo "  make win32"
	@echo "  make macosx"
	@echo "Append -debug for a debug build (e.g. make linux-debug)."
	@echo "Append -noopt for a non-optimized build (e.g. make linux-noopt)."
	@exit 1

configmsg:
	@echo "Configured.  Following targets available:"
	@echo "  make           build programs"
	@echo "  make man       build man pages"
	@echo "  make all       build all the above"
	@echo "  make package   build an installable package from the above"
	@echo "  make clean     remove intermediate files"
	@echo "  make clobber   remove everything built by make all"
	@echo "  make pristine  remove everything except original files"
	@echo "  make tarball   makes pristine then creates source tarball"

$(AVAILTARGETS): _force
	@cd configs; $(MAKE) $(MFLAGS) PLATFORM=$@ default
	@$(MAKE) $(MFLAGS) configmsg

$(AVAILTARGETS:=-debug): _force
	@cd configs; $(MAKE) $(MFLAGS) PLATFORM=$(@:-debug=) debug
	@$(MAKE) $(MFLAGS) configmsg

$(AVAILTARGETS:=-noopt): _force
	@cd configs; $(MAKE) $(MFLAGS) PLATFORM=$(@:-noopt=) noopt
	@$(MAKE) $(MFLAGS) configmsg

win32 win32-debug win32-noopt: _force
	@echo "win32 makefiles not available yet.  use the msdev"
	@echo "workspace and project files in the win32 directory."
	@echo "see README.WIN32 for build instructions."

=== configs/Makefile ===
# bzflag
# Copyright (c) 1993 - 2002 Tim Riker
#
# This package is free software;  you can redistribute it and/or
# modify it under the terms of the license found in the file
# named LICENSE that should have accompanied this file.
#
# THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.

#
# install a particular configuation file as the current configuration
#

DEPTH = ..

include $(DEPTH)/configs/config-$(PLATFORM)

# copy config file to config-sys
default:
	@$(ECHO) > $(DEPTH)/config-sys
	@$(CP) config-$(PLATFORM) $(DEPTH)/config-sys

# copy config file to config-sys and append macros to do debug build
debug:
	@$(ECHO) > $(DEPTH)/config-sys
	@$(CP) config-$(PLATFORM) $(DEPTH)/config-sys
	@$(ECHO) "COPTIMIZER   = $(CDEBUG)" >> $(DEPTH)/config-sys
	@$(ECHO) "CXXOPTIMIZER   = $(CXXDEBUG)" >> $(DEPTH)/config-sys
	@$(ECHO) "DEBUG_RENDERING = -DDEBUG_RENDERING" >> $(DEPTH)/config-sys

# copy config file to config-sys and append macros to do non-optimized build
noopt:
	@$(ECHO) > $(DEPTH)/config-sys
	@$(CP) config-$(PLATFORM) $(DEPTH)/config-sys
	@$(ECHO) "COPTIMIZER   = " >> $(DEPTH)/config-sys
	@$(ECHO) "CXXOPTIMIZER   = " >> $(DEPTH)/config-sys

=== man/Makefile ===
# BZFlag
# Copyright (c) 1993 - 2002 Tim Riker
#
# This package is free software;  you can redistribute it and/or
# modify it under the terms of the license found in the file
# named LICENSE that should have accompanied this file.
#
# THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.

DEPTH = ..
include $(DEPTH)/Make-common

.SUFFIXES: .1s .2s .3s .4s .5s .6s .7s .8s .1 .2 .3 .4 .5 .6 .7 .8 .z .gz

LDIRT   = *.[1-8].t
TARGETS = *.[1-8] *.z *.gz

#
# have to parse the man page names to generate the target names using
# sed since it's too much for make's limited capabilities.  this macro
# lists the source files, one per line.
#
PRINTSRC = find . \( -name '*.[1-8]s' \) -print |		\
	sed -e 's/^\.\///' -e '/\//d'

targets: sourceform packed gzipped

# generate nroff source
sourceform:
	$(PRINTSRC) |						\
	sed -e 's/\.\([1-8]\)s$$/.\1/' |			\
	xargs -l10 $(MAKE) $(MFLAGS)

# generate packed compiled nroff
packed: sourceform
	$(PRINTSRC) |						\
	sed -e 's/\.[1-8]s$$/\.z/' |				\
	xargs -l10 $(MAKE) $(MFLAGS)

# generate gzipped compiled nroff
gzipped: sourceform
	$(PRINTSRC) |						\
	sed -e 's/\.[1-8]s$$/\.gz/' |				\
	xargs -l10 $(MAKE) $(MFLAGS)

# replace tokens in source to make nroff source
.1s.1 .2s.2 .3s.3 .4s.4 .5s.5 .6s.6 .7s.7 .8s.8:
	cat $< | 						\
	sed -e "s@INSTALL_DATA_DIR@$(INSTALL_DATA_DIR)@g" >$@

# compile and pack
.1.z .2.z .3.z .4.z .5.z .6.z .7.z .8.z:
	$(RM) $@
	-$(NROFF) -man $< > $<.t && pack -f $<.t && mv $<.t.z $@

# compile and gzip
.1.gz .2.gz .3.gz .4.gz .5.gz .6.gz .7.gz .8.gz:
	$(RM) $@
	--$(NROFF) -man $< > $<.t && gzip $<.t && mv $<.t.gz $@

=== package/Makefile ===
# bzflag
# Copyright (c) 1993 - 2002 Tim Riker
#
# This package is free software;  you can redistribute it and/or
# modify it under the terms of the license found in the file
# named LICENSE that should have accompanied this file.
#
# THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.

DEPTH = ..
COMMONPREF = package
include $(DEPTH)/Make-common

targets package $(COMMONTARGETS):
	$(MAKE) -f Make-$(CONFIG) $@

=== src/Makefile ===
# bzflag
# Copyright (c) 1993 - 2002 Tim Riker
#
# This package is free software;  you can redistribute it and/or
# modify it under the terms of the license found in the file
# named LICENSE that should have accompanied this file.
#
# THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.

#
# makefile to build sources
#

DEPTH = ..
COMMONPREF = src
include $(DEPTH)/Make-common

SUBDIRS =				\
	bzfrelay			\
	common				\
	net				\
	bzfs				\
	bzfls				\
	geometry			\
	obstacle			\
	ogl				\
	scene				\
	platform			\
	bzflag				\
	$(NULL)

targets:
	$(SUBDIRS_MAKERULE)

$(COMMONTARGETS):
	$(SUBDIRS_MAKERULE)

=== src/bzflag/Makefile ===
# bzflag
# Copyright (c) 1993 - 2002 Tim Riker
#
# This package is free software;  you can redistribute it and/or
# modify it under the terms of the license found in the file
# named LICENSE that should have accompanied this file.
#
# THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.

DEPTH = ../..
include $(DEPTH)/Make-common

TARGETS = $(TARGETDIR)/bzflag

CXXFILES =				\
	MainWindow.cxx			\
	ControlPanel.cxx		\
	World.cxx			\
	SceneBuilder.cxx		\
	SceneRenderer.cxx		\
	BackgroundRenderer.cxx		\
	RadarRenderer.cxx		\
	HUDRenderer.cxx			\
	HUDui.cxx			\
	ShotPath.cxx			\
	ShotStrategy.cxx		\
	Region.cxx			\
	RenderNode.cxx			\
	Player.cxx			\
	playing.cxx			\
	LocalPlayer.cxx			\
	RemotePlayer.cxx		\
	RobotPlayer.cxx			\
	DeadPlayer.cxx			\
	ServerLink.cxx			\
	PlayerLink.cxx			\
	KeyMap.cxx			\
	daylight.cxx			\
	texture.cxx			\
	resources.cxx			\
	sound.cxx			\
	bzflag.cxx			\
	HUDDialog.cxx			\
	menus.cxx			\
	$(NULL)

DEPLIBS =				\
	$(LIBDIR)/libNet.a		\
	$(LIBDIR)/libCommon.a		\
	$(LIBDIR)/libObstacle.a		\
	$(LIBDIR)/libPlatform.a		\
	$(LIBDIR)/libGLKit.a		\
	$(LIBDIR)/libSceneDB.a		\
	$(LIBDIR)/libGeometry.a		\
	$(NULL)

LLDLIBS =				\
	$(DEPLIBS)			\
	$(AUDIO_LIBS)			\
	$(IMAGE_LIBS)			\
	$(NETWORK_LIBS)			\
	$(GL_LIBS)			\
	$(DISPLAY_LIBS)			\
	$(WINDOW_LIBS)			\
	-lm				\
	$(NULL)

targets: $(TARGETS)

$(TARGETS): $(OBJECTS) $(DEPLIBS)
	$(CXXF) -o $@ $(OBJECTS) $(LDFLAGS)

=== src/bzfls/Makefile ===
# bzflag
# Copyright (c) 1993 - 2002 Tim Riker
#
# This package is free software;  you can redistribute it and/or
# modify it under the terms of the license found in the file
# named LICENSE that should have accompanied this file.
#
# THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.

DEPTH = ../..
include $(DEPTH)/Make-common

TARGETS = $(TARGETDIR)/bzfls

CXXFILES =				\
	bzfls.cxx			\
	$(NULL)

DEPLIBS =				\
	$(LIBDIR)/libNet.a		\
	$(LIBDIR)/libCommon.a		\
	$(NULL)

LLDLIBS =				\
	$(DEPLIBS)			\
	-lm				\
	$(NULL)

targets: $(TARGETS)

$(TARGETS): $(OBJECTS) $(DEPLIBS)
	$(CXXF) -o $@ $(OBJECTS) $(LDFLAGS)

=== src/bzfrelay/Makefile ===
# bzflag
# Copyright (c) 1993 - 2002 Tim Riker
#
# This package is free software;  you can redistribute it and/or
# modify it under the terms of the license found in the file
# named LICENSE that should have accompanied this file.
#
# THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.

DEPTH = ../..
include $(DEPTH)/Make-common

TARGETS = $(TARGETDIR)/bzfrelay

CFILES =				\
	bzfrelay.c			\
	$(NULL)

targets: $(TARGETS)

$(TARGETS): $(OBJECTS)
	$(CCF) -o $@ $(OBJECTS) $(LDFLAGS)

=== src/bzfs/Makefile ===
# bzflag
# Copyright (c) 1993 - 2002 Tim Riker
#
# This package is free software;  you can redistribute it and/or
# modify it under the terms of the license found in the file
# named LICENSE that should have accompanied this file.
#
# THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.

DEPTH = ../..
include $(DEPTH)/Make-common

TARGETS = $(TARGETDIR)/bzfs

CXXFILES =				\
	bzfs.cxx			\
	$(NULL)

DEPLIBS =				\
	$(LIBDIR)/libNet.a		\
	$(LIBDIR)/libCommon.a		\
	$(NULL)

LLDLIBS =				\
	$(DEPLIBS)			\
	-lm				\
	$(NULL)

targets: $(TARGETS)

$(TARGETS): $(OBJECTS) $(DEPLIBS)
	$(CXXF) -o $@ $(OBJECTS) $(LDFLAGS)

=== src/common/Makefile ===
# bzflag
# Copyright (c) 1993 - 2002 Tim Riker
#
# This package is free software;  you can redistribute it and/or
# modify it under the terms of the license found in the file
# named LICENSE that should have accompanied this file.
#
# THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.

DEPTH = ../..
include $(DEPTH)/Make-common

TARGETS  = $(LIBDIR)/libCommon.a

CXXFILES =				\
	AList.cxx			\
	BzfString.cxx			\
	ErrorHandler.cxx		\
	Flag.cxx			\
	Team.cxx			\
	TimeBomb.cxx			\
	TimeKeeper.cxx			\
	md5.cxx				\
	$(NULL)

CFILES =				\
	bzsignal.c			\
	$(NULL)

targets: $(TARGETS)

$(TARGETS): $(OBJECTS)
	$(ARF) $@ $?

=== src/geometry/Makefile ===
# bzflag
# Copyright (c) 1993 - 2002 Tim Riker
#
# This package is free software;  you can redistribute it and/or
# modify it under the terms of the license found in the file
# named LICENSE that should have accompanied this file.
#
# THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.

DEPTH = ../..
include $(DEPTH)/Make-common

TARGETS  = $(LIBDIR)/libGeometry.a

CXXFILES =				\
	ViewFrustum.cxx			\
	Ray.cxx				\
	SceneNode.cxx			\
	WallSceneNode.cxx		\
	QuadWallSceneNode.cxx		\
	TriWallSceneNode.cxx		\
	PolyWallSceneNode.cxx		\
	EighthDimSceneNode.cxx		\
	EighthDBaseSceneNode.cxx	\
	EighthDBoxSceneNode.cxx		\
	EighthDPyrSceneNode.cxx		\
	ShellSceneNode.cxx		\
	TracerSceneNode.cxx		\
	PTSceneNode.cxx			\
	BoltSceneNode.cxx		\
	LaserSceneNode.cxx		\
	SphereSceneNode.cxx		\
	FlagSceneNode.cxx		\
	FlagWarpSceneNode.cxx		\
	TankSceneNode.cxx		\
	BillboardSceneNode.cxx		\
	$(NULL)

targets: $(TARGETS)

$(TARGETS): $(OBJECTS)
	$(ARF) $@ $?

=== src/net/Makefile ===
# bzflag
# Copyright (c) 1993 - 2002 Tim Riker
#
# This package is free software;  you can redistribute it and/or
# modify it under the terms of the license found in the file
# named LICENSE that should have accompanied this file.
#
# THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.

DEPTH = ../..
include $(DEPTH)/Make-common

TARGETS  = $(LIBDIR)/libNet.a

CXXFILES =				\
	Address.cxx			\
	Pack.cxx			\
	Ping.cxx			\
	multicast.cxx			\
	udpnetwork.cxx			\
	network.cxx			\
	$(NULL)

targets: $(TARGETS)

$(TARGETS): $(OBJECTS)
	$(ARF) $@ $?

=== debian/changelog ===
bzflag (1.7g0) unstable; urgency=medium

  * compatibile with newer compilers Closes: Bug#134031
  * removed period from description Closes: Bug#151306
 -- Tim Riker <Tim@Rikers.org>  Sun, 08 Dec 2002 01:37:22 -0700

bzflag (1.7e6) unstable; urgency=medium

  * protocol changes - urgency=medium
  * upstream update, many bug fixes and new features
  * devfs audio support Closes: Bug#144965
  * simplify descriptions Closes: Bug#124473,Bug#124478
 -- Tim Riker <Tim@Rikers.org>  Date: Wed, 19 Jun 2002 00:12:28 -0600

bzflag (1.7e4) unstable frozen; urgency=low

  * include ChangeLog Closes: Bug#113827
  * correct X depend Closes: Bug#104844
  * update list server URL (frozen) Closes: Bug#113826
  * remove explicit c++ depend Closes: Bug#105947
  * Release Manager: 113826, networking bug fixes for stable and woody

 -- Tim Riker <Tim@Rikers.org>  Tue, 27 Nov 2001 03:51:09 -0700

bzflag (1.7e2-1) unstable; urgency=low

  * upload sources as well. Closes: Bug#94433

 -- Tim Riker <Tim@Rikers.org>  Wed, 18 Apr 2001 16:25:24 -0600

bzflag (1.7e2) unstable; urgency=low

  * xlibs-dev build depends. Closes: Bug#89794

 -- Tim Riker <Tim@Rikers.org>  Thu, 22 Feb 2001 16:42:22 -0700

bzflag (1.7d.20000324) unstable frozen; urgency=low

  * CVS Build

 -- Erik J. Bernhardson <journey@jps.net>  Fri, 24 Mar 2000 02:34:56 -0800

bzflag (1.7d-1) unstable frozen; urgency=low

  * License change to GNU GPL.
  * fix menu file; bzflag is in /usr/games/. Closes: Bug#55149
  * recompile to depend on libGL and libGLU. Closes: Bug#55232
  * Release Manager: 55232 is RC, please let this through.

 -- Anand Kumria <wildfire@progsoc.uts.edu.au>  Sat, 15 Jan 2000 19:56:34 +1100

bzflag (1.7c-3) unstable; urgency=low

  * modify the bzfs script to work in all cases. Closes: Bug#54516

 -- Anand Kumria <wildfire@progsoc.uts.edu.au>  Tue, 11 Jan 2000 14:28:57 +1100

bzflag (1.7c-2) unstable; urgency=low

  * The bzfs.6 manpage was also in bzflag. Closes: Bug#54336

 -- Anand Kumria <wildfire@progsoc.uts.edu.au>  Wed,  5 Jan 2000 15:40:52 +1100

bzflag (1.7c-1) unstable; urgency=low

  * Initial Release.
  * Patches, as available on web site, applied

 -- Anand Kumria <wildfire@progsoc.uts.edu.au>  Sun, 12 Dec 1999 14:07:25 +1100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: bzflag
Section: games
Priority: optional
Maintainer: Tim Riker <Tim@Rikers.org>
Standards-Version: 3.5.6.1
Build-Depends: debhelper, groff, xlibs-dev, libgl-dev

Package: bzflag
Architecture: any
Depends: ${shlibs:Depends}
Suggests: bzflag-server
Description: a 3D first person tank battle game
 BZFlag is a 3D multi-player multiplatform tank battle game
 that allows users to play against each other in a network
 environment. There are five teams: red, green, blue,
 purple and rogue (rogue tanks are black).  Destroying a
 player on another team scores a win, while being destroyed
 or destroying a teammate scores a loss. Rogues have no
 teammates (not even other rogues), so they cannot shoot
 teammates and they do not have a team score.
 .
 There are two main styles of play: capture-the-flag and
 free-for-all. In capture-the-flag, each team (except
 rogues) has a team base and each team with at least one
 player has a team flag. The object is to capture an enemy
 team's flag by bringing it to your team's base. This
 destroys every player on the captured team, subtracts one
 from that team's score, and adds one to your team's score.
 In free-for-all, there are no team flags or team bases.
 The object is simply to get as high a score as possible.

Package: bzflag-server
Architecture: any
Depends: ${shlibs:Depends}
Description: bzfs - BZFlag game server and proxy
 bzfs is the server for BZFlag, and it must be running to
 play. It can be run on any system on the network
 (including a player's system or one without graphics).
 Terminating the server terminates the game in progress.
 .
 bzrelay is a firewall tunnel for bzfs. It uses TCP and
 allows you and your firewalled company of friends to beat
 into submission other BZFlag players.
